#!/bin/bash

export DRIVES="
USB|/mnt/sda
CF|/mnt/hda
MMC|/mnt/mmc
"

cd /usr/share/ads/demo_media

# unmount last drive
for D in $DRIVES
do

  LINK=${D%|*}
  MOUNT=${D#*|}

  if [[ -d $LINK ]]
  then
    echo "-$LINK"
    umount $MOUNT
    rm $LINK
    cd - > /dev/null
    exit
  fi

done

# mount removable drive
for D in $DRIVES
do

  LINK=${D%|*}
  MOUNT=${D#*|}

  if mount $MOUNT
  then
    echo "+$LINK"
    ln -s $MOUNT $LINK
    cd - > /dev/null
    exit
  fi

done

cd - > /dev/null
exit
